<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('role_id')->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('name', 200)->nullable();
            $table->string('password', 200)->nullable();
            $table->string('open_id', 200)->nullable();
            $table->string('nickname', 200)->nullable();
            $table->string('avatar', 200)->nullable()->default('https://t18.9026.com/mini/default-user.png');
            $table->string('session_key', 200)->nullable();
            $table->string('token', 200)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
